<?xml version="1.0" encoding="utf-8" standalone="no"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="/">
    <html>
      <body>
        <h2>Benvenuti su autoproduzioni.org</h2>
        <table border="1">
          <tr bgcolor="#9acd32">
            <th align="left">Titolo</th>
            <th align="left">Autori</th>
            <th align="left">Data</th>
            <th align="left">Tipologia</th>
            <th align="left">Copyright</th>
            <th align="left">Url</th>
          </tr>
          <xsl:for-each select="/autoproduzioni/opera">
            <xsl:sort select="titolo" />
            <tr>
              <td><xsl:value-of select="titolo" /></td>
              <td>
                <xsl:for-each select="autori/autore">
                  <xsl:apply-templates />
                  <xsl:if test="not(position()=last())">, </xsl:if>
                </xsl:for-each>
              </td>
              <td><xsl:value-of select="data" /></td>
              <td><xsl:value-of select="tipologia" /></td>
                <xsl:choose>
                  <xsl:when test="copyright/@copyleft = &quot;true&quot;">
                    <td bgcolor="#00ff00"><xsl:value-of select="copyright" /></td>
                  </xsl:when>
                  <xsl:when test="copyright/@copyleft = &quot;false&quot;">
                    <td bgcolor="#ff0000"><xsl:value-of select="copyright" /></td>
                  </xsl:when>
                </xsl:choose>
              <td><a href="{url}"><xsl:value-of select="url" /></a></td>
            </tr>
          </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>

